<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class Notificacoes extends CI_Controller {
    
    private $url  = "https://formacaofacil.com.br/";
 
    public function index() {
        $this->load->view('inicio');
    }

    public function jubilados() {
//        die('jubilados');
        set_time_limit(0);
        $consulta = $this->notificacoes_model->consulta_jubilados();


        $array = array();
        $c = 0;
       
        foreach ($consulta as $linha) {
            $numero = $linha['ddd'] . $linha['telefone'];
            $mensagem = "Não perca seu certificado. Seu acesso ao curso " . retirar_acentos($linha['curso']) . "... termina em 7 dias. Acesse www.amazoniacursos.com.br";


//            $enviar = $this->enviar($numero, $mensagem);
          
            $enviar = $this->enviar_1_3($numero, $mensagem, $linha['email']);
            
            $array['Enviado'][$c] = "(" . $linha['ddd'] . ") " . $linha['telefone'] . " - " . json_encode($enviar);
            $c++;
        }
        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }

    public function certificado_liberado() {
       
//        die('certs liberado');
        set_time_limit(0);
        $consulta = $this->notificacoes_model->consulta_certificado_disponivel();


        $array = array();
        $c = 0;

        foreach ($consulta as $linha) {
            $numero = $linha['ddd'] . $linha['telefone'];
            $mensagem = "O conteudo e o certificado do Curso " . retirar_acentos($linha['curso']) . "... ja esta disponivel. Acesse www.amazoniacursos.com.br";

//            $enviar = $this->enviar($numero, $mensagem);
            $enviar = $this->enviar_1_3($numero, $mensagem, $linha['email']);

            $array['Enviado'][$c] = " (" . $linha['ddd'] . ") " . $linha['telefone'] . " - " . json_encode($enviar);
            $c++;
        }
        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }

    public function avaliacao_liberada() {
//        die('avaliacao liberada');
        set_time_limit(0);
        $consulta = $this->notificacoes_model->avaliacao_liberada();


        $array = array();
        $c = 0;

        foreach ($consulta as $linha) {
            $numero = $linha['ddd'] . $linha['telefone'];
            $mensagem = "Seu Certificado de Conclusão do curso " . retirar_acentos($linha['curso']) . "... foi liberado. Acesse www.amazoniacursos.com.br";

//            $enviar = $this->enviar($numero, $mensagem);
            $enviar = $this->enviar_1_3($numero, $mensagem, $linha['email']);

            $array['Enviado'][$c] = "(" . $linha['ddd'] . ") " . $linha['telefone'] . " - " . json_encode($enviar);
            $c++;
        }
        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }

    function limitarTexto($texto, $limite) {
        $contador = strlen($texto);
        if ($contador >= $limite) {
            $texto = substr($texto, 0, strrpos(substr($texto, 0, $limite), ' ')) . '';
            return $texto;
        } else {
            return $texto;
        }
    }
    
    public function faturas_pendentes_tres_dia() {
//        die('faturas_pendentes_tres_dia');
        set_time_limit(0);
        $dias = 3;
        $consulta = $this->notificacoes_model->faturas_pendentes($dias);

        $curso = '';
        $aluno = '';
        $array_novo = [];
        foreach ($consulta as $linha) {
            if ($aluno != $linha['email']) {
                $array_novo[] = $linha;
            } else {
                if ($curso != $linha['nome_curso']) {
                    $array_novo[] = $linha;
                }
            }
            $aluno = $linha['email'];
            $curso = $linha['nome_curso'];
        }
        $c = 0;

        foreach ($array_novo as $value) {

            $cod_interme = $value['codigo'];
            $numero = $value['ddd'] . $value['telefone'];
            $nome = str_replace(".", "", $value['nome_curso']);
            $id_transacao = $value['id_transacao'];

            $boleto = $this->notificacoes_model->boleto_ovumpay($id_transacao);
            
            if ($boleto==null||empty($boleto)) {
                $boleto = $this->notificacoes_model->boleto($cod_interme, $id_transacao, true);
            }

            $name = trim('do Cert.' . substr(mb_strtoupper($nome), 0, 200));

            $truncar = $this->limitarTexto($name, $lmite = 42);

            $boleto_movel = $boleto['boleto'];

            $mensagem = 'Pag. pendente do ' . retirar_acentos($truncar) . '. Acesse: ' . $boleto_movel;
            
            $validaCel = substr($linha['telefone'], 1, 1);

            // Verificando se é celular
            $celReal = array("9", "8", "7", "6", "5");
            if (in_array($validaCel, $celReal)) {
                if (!empty($boleto['boleto'])) {
//                    $enviar = $this->enviar($numero, $mensagem);
                    $enviar = $this->enviar_1_3($numero, $mensagem, $value['email']);
                }
            }
            
            $array['Enviado'][$c] =  "(" . $linha['ddd'] . ") " . $linha['telefone'] . " - " . json_encode($enviar);
            $c++;
        }
        
        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }
    
    public function faturas_pendentes_um_dia_cartao() {
//        die('faturas_pendentes_um_dia_cartao');
        set_time_limit(0);
        $dias = 1;
        $consulta = $this->notificacoes_model->faturas_pendentes_cartao($dias);

        $curso = '';
        $aluno = '';
        $array_novo = [];
        foreach ($consulta as $linha) {
            if ($aluno != $linha['email']) {
                $array_novo[] = $linha;
            } else {
                if ($curso != $linha['nome_curso']) {
                    $array_novo[] = $linha;
                }
            }
            $aluno = $linha['email'];
            $curso = $linha['nome_curso'];
        }
        $c = 0;
        
         

        foreach ($array_novo as $value) {

            $numero = $value['ddd'] . $value['telefone'];
            $nome = str_replace(".", "", $value['nome_curso']);

            $name = trim('do Cert.' . substr(mb_strtoupper($nome), 0, 200));

            $truncar = $this->limitarTexto($name, $lmite = 42);
            
            $boleto = $this->notificacoes_model->boleto_ovumpay($value['id_transacao']);

            if (empty($boleto)) {
                $mensagem = "Pag. pendente do ".retirar_acentos($truncar)." Acesse o site para concluir o pagamento de sua fatura.";
            }else{
                $mensagem = "Pag. pendente do ".retirar_acentos($truncar)." Acesse: ". $boleto['boleto'] ;
            }
            $validaCel = substr($linha['telefone'], 1, 1);

            // Verificando se é celular
            $celReal = array("9", "8", "7", "6", "5");
            if (in_array($validaCel, $celReal)) {

//                $enviar = $this->enviar($numero, $mensagem);
                $enviar = $this->enviar_1_3($numero, $mensagem, $linha['email']);
   
            }

            $array['Enviado'][$c] = "(" . $linha['ddd'] . ") " . $linha['telefone'] . " - " . json_encode($enviar);
            $c++;
        }
        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }
    
    public function faturas_pendentes_um_dia_debito() {
//        die('faturas_pendentes_um_dia_debito');
        set_time_limit(0);
        $dias = 1;
        $consulta = $this->notificacoes_model->faturas_pendentes_debito($dias);
        $curso = '';
        $aluno = '';
        $array_novo = [];
        foreach ($consulta as $linha) {
            if ($aluno != $linha['email']) {
                $array_novo[] = $linha;
            } else {
                if ($curso != $linha['nome_curso']) {
                    $array_novo[] = $linha;
                }
            }
            $aluno = $linha['email'];
            $curso = $linha['nome_curso'];
        }
        $c = 0;

        foreach ($array_novo as $value) {

            $numero = $value['ddd'] . $value['telefone'];
            $nome = str_replace(".", "", $value['nome_curso']);

            $name = trim('do Cert.' . substr(mb_strtoupper($nome), 0, 200));

            $truncar = $this->limitarTexto($name, $lmite = 35);
            
            $boleto = $this->notificacoes_model->boleto_ovumpay($value['id_transacao']);

            if (empty($boleto)) {

                $mensagem = "Pag. pendente do ".retirar_acentos($truncar)." Acesse o site para concluir o pagamento de sua fatura.";
            }else{
                $mensagem = "Pag. pendente do ".retirar_acentos($truncar)." Acesse: ". $boleto['boleto'] ;
            }

           
            $validaCel = substr($linha['telefone'], 1, 1);

            // Verificando se é celular
            $celReal = array("9", "8", "7", "6", "5");
            if (in_array($validaCel, $celReal)) {

//                 $enviar = $this->enviar($numero, $mensagem);
                 $enviar = $this->enviar_1_3($numero, $mensagem, $linha['email']);
            }

            $array['Enviado'][$c] =  "(" . $linha['ddd'] . ") " . $linha['telefone'] . " - " . json_encode($enviar);
            $c++;
        }
        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }

    public function prova_sete_dia() {
//        die('prova_sete_dia');
        set_time_limit(0);
        $dias = 7;
        $consulta = $this->notificacoes_model->prova($dias);
        $dados_arr = array_unique($consulta, SORT_REGULAR);

        $c = 0;

        foreach ($dados_arr as $linha) {
            $numero = $linha['ddd'] . $linha['telefone'];
            $nome = str_replace(".", "", $linha['nome_curso']);
            $limitar = $this->limitarTexto(trim($nome), $limite = 35);

            $mensagem = "Sua avaliacao do Curso " . retirar_acentos(mb_strtoupper($limitar)) . " sera liberada em " . $dias . " dias. Acesse www.amazoniacursos.com.br";

            $validaCel = substr($linha['telefone'], 1, 1);
            // Verificando se é celular
            $celReal = array("9", "8", "7", "6", "5");
            if (in_array($validaCel, $celReal)) {

//                $enviar = $this->enviar($numero, $mensagem);
                $enviar = $this->enviar_1_3($numero, $mensagem, $linha['email']);
                $array['Enviado'][$c] = "(" . $linha['ddd'] . ") " . $linha['telefone'] . " - " . json_encode($enviar);
            }
            $c++;
        }
        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }

    public function prova_um_dia() {
        
        
        $consulta=$this->db->query("SELECT curso.nome nome_curso, ddd, telefone,email  FROM `historico` join aluno using(id_aluno) join curso using(id_curso) WHERE `primeiro_dia` = DATE_SUB(curdate(), INTERVAL 1 DAY) and concluido=0 group by id_aluno")->result();
       
//        die('prova_um_dia');
        set_time_limit(0);
        $dias = 1;
        //$consulta = $this->notificacoes_model->prova($dias);
        $dados_arr = array_unique($consulta, SORT_REGULAR);
        
        $c = 0;

        foreach ($dados_arr as $linha) {
            
            $numero = $linha->ddd . $linha->telefone;
            $nome = str_replace(".", "", $linha->nome_curso);
            $limitar = $this->limitarTexto(trim($nome), $limite = 35);

            $mensagem = "Sua inscricao no Curso " . retirar_acentos(mb_strtoupper($limitar)) . " foi deferida, o conteudo e o Certificado esta disponivel. Acesse www.amazoniacursos.com.br";
            
            $validaCel = substr($linha->telefone, 1, 1);
            // Verificando se é celular
            $celReal = array("9", "8", "7", "6", "5");
            if (in_array($validaCel, $celReal)) {

//                $enviar = $this->enviar($numero, $mensagem);
                $enviar = $this->enviar_1_3($numero, $mensagem, $linha->email);
                $array['Enviado'][$c] = "(" . $linha->ddd . ") " . $linha->telefone . " - " . json_encode($enviar);
            }
            $c++;
        }
        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }

    public function jubilados_um_dia() {
//        die('jubilados_um_dia');

        set_time_limit(0);

        $consulta = $this->notificacoes_model->consulta_jubilados_um_dia();

        $dados_arr = array_unique($consulta, SORT_REGULAR);


        $c = 0;

        foreach ($dados_arr as $linha) {

            $numero = $linha['ddd'] . $linha['telefone'];
            $nome = str_replace(".", "", $linha['nome_curso']);
            $limitar = $this->limitarTexto($nome, $limite = 35);
            $mensagem = "Não perca seu certificado. Seu acesso ao Curso " . retirar_acentos(mb_strtoupper($limitar)) . " termina amanha. Acesse www.amazoniacursos.com.br";

            $validaCel = substr($linha['telefone'], 1, 1);
            // Verificando se é celular
            $celReal = array("9", "8", "7", "6", "5");
            if (in_array($validaCel, $celReal)) {

//                $enviar = $this->enviar($numero, $mensagem);
                $enviar = $this->enviar_1_3($numero, $mensagem, $linha['email']);
                
                $array['Enviado'][$c] = "(" . $linha['ddd'] . ") " . $linha['telefone'] . " - " . json_encode($enviar);
            }
            $c++;
        }
        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }

    public function alunos_jubilados() {
        exit(0);
//        die('alunos_jubilados');
        set_time_limit(0);

        $consulta = $this->notificacoes_model->jubilados();
        $dados_arr = array_unique($consulta, SORT_REGULAR);

        $c = 0;

        foreach ($dados_arr as $linha) {

            $numero = $linha['ddd'] . $linha['telefone'];
            $nome = str_replace(".", "", $linha['nome_curso']);
            $limitar = $this->limitarTexto($nome, $limite = 35);
            $mensagem = "Não perca seu certificado. Seu acesso ao Curso " . retirar_acentos(mb_strtoupper($limitar)) . " expirou ha 3 dias. Acesse www.amazoniacursos.com.br";

            $validaCel = substr($linha['telefone'], 1, 1);
            // Verificando se é celular
            $celReal = array("9", "8", "7", "6", "5");
            if (in_array($validaCel, $celReal)) {

//                $enviar = $this->enviar($numero, $mensagem);
                $enviar = $this->enviar_1_3($numero, $mensagem, $linha['email']);
                
                $array['Enviado'][$c] = "(" . $linha['ddd'] . ") " . $linha['telefone'] . " - " . json_encode($enviar);
            }
            $c++;
        }
        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }

    public function sem_acesso() {
        exit(0);
//        die('sem_acesso');
        set_time_limit(0);

        $consulta = $this->notificacoes_model->sem_acesso();

        $dados_arr = array_unique($consulta, SORT_REGULAR);

        $c = 0;

        foreach ($dados_arr as $linha) {

            $numero = $linha['ddd'] . $linha['telefone'];
            $mensagem = "www.amazoniacursos.com.br: Acesse o nosso site e aproveite os milhares de cursos a partir de R$ 10,50";

            $validaCel = substr($linha['telefone'], 1, 1);
            // Verificando se é celular
            $celReal = array("9", "8", "7", "6", "5");
            if (in_array($validaCel, $celReal)) {

//                $enviar = $this->enviar($numero, $mensagem);
                $enviar = $this->enviar_1_3($numero, $mensagem, $linha['email']);
                
                $array['Enviado'][$c] = "(" . $linha['ddd'] . ") " . $linha['telefone'] . " - " . json_encode($enviar);
            }
            $c++;
        }
        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }
    
    public function notifica_92() {
        
        exit(0);
//         die('notifica_92');
        set_time_limit(0);
        $dias = 92;
        $consulta = $this->notificacoes_model->notifica_facil($dias);

        $dados_arr = array_unique($consulta, SORT_REGULAR);
        
        $c = 0;

        foreach ($dados_arr as $linha) {

            $numero = $linha['ddd'] . $linha['telefone'];
//            $auth = base64_encode($linha['id_aluno'].':13');
//            $mensagem = "Parabéns! Você ganhou um curso grátis. Acesse " . $this->url."promo/" . $auth;
            $auth = md5($linha['email']).':13';
            $mensagem = "Parabéns! Você ganhou um curso grátis. Acesse o codigo promocional " . $this->url."p/" . $auth;
            
            $validaCel = substr($linha['telefone'], 1, 1);
            // Verificando se é celular
            $celReal = array("9", "8", "7", "6", "5");
            if (in_array($validaCel, $celReal)) {

//                $enviar = $this->enviar($numero, $mensagem);
                $enviar = $this->enviar_1_3($numero, $mensagem, $linha['email']);
                
                $array['Enviado'][$c] = $linha['nome'] . " - (" . $linha['ddd'] . ") " . $linha['telefone'] . " - " . $enviar->mensagem;
            }
            
            $c++;
        }
        
        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }
    
    public function notifica_120() {
        exit(0);
//        die('notifica_120');
        set_time_limit(0);
        $dias = 120;
        $consulta = $this->notificacoes_model->notifica_facil($dias);
        
        $dados_arr = array_unique($consulta, SORT_REGULAR);
        
        $c = 0;

        foreach ($dados_arr as $linha) {

            $numero = $linha['ddd'] . $linha['telefone'];
//            $auth = base64_encode($linha['id_aluno'].':13');
//            $mensagem = "Parabéns! Você ganhou um curso grátis. Acesse " . $this->url."promo/" . $auth; 
            $auth = md5($linha['email']).':13';
            $mensagem = "Parabéns! Você ganhou um curso grátis. Acesse o codigo promocional " . $this->url."p/" . $auth;
            $validaCel = substr($linha['telefone'], 1, 1);
            // Verificando se é celular
            $celReal = array("9", "8", "7", "6", "5");
            if (in_array($validaCel, $celReal)) {

//                $enviar = $this->enviar($numero, $mensagem);
                $enviar = $this->enviar_1_3($numero, $mensagem, $linha['email']);
                
                $array['Enviado'][$c] = $linha['nome'] . " - (" . $linha['ddd'] . ") " . $linha['telefone'] . " - " . $enviar->mensagem;
            }
            $c++;
        }

        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }
    
    public function notifica_150() {
        exit(0);
//        die('notifica_150');
        set_time_limit(0);
        $dias = 150;
        $consulta = $this->notificacoes_model->notifica_facil($dias);

        $dados_arr = array_unique($consulta, SORT_REGULAR);
        
        $c = 0;

        foreach ($dados_arr as $linha) {

            $numero = $linha['ddd'] . $linha['telefone'];
//            $auth = base64_encode($linha['id_aluno'].':13');
//            $mensagem = "Parabéns! Você ganhou um curso grátis. Acesse " . $this->url."promo/" . $auth;
            $auth = md5($linha['email']).':13';
            $mensagem = "Parabéns! Você ganhou um curso grátis. Acesse o codigo promocional " . $this->url."p/" . $auth;
            
            $validaCel = substr($linha['telefone'], 1, 1);
            // Verificando se é celular
            $celReal = array("9", "8", "7", "6", "5");
            if (in_array($validaCel, $celReal)) {

//                $enviar = $this->enviar($numero, $mensagem);
                $enviar = $this->enviar_1_3($numero, $mensagem, $linha['email']);
                $array['Enviado'][$c] = $linha['nome'] . " - (" . $linha['ddd'] . ") " . $linha['telefone'] . " - " . $enviar->mensagem;
            }
            $c++;
        }

        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    } 
    // NOVAS NOTIFICACOES PROMOCIONAIS
    public function notifica_99() {
        exit(0);
//        die('notifica_99');
        set_time_limit(0);
        $dias = 99;
        $consulta = $this->notificacoes_model->notifica_facil($dias);

        $dados_arr = array_unique($consulta, SORT_REGULAR);
        
        $c = 0;

        foreach ($dados_arr as $linha) {

            $numero = $linha['ddd'] . $linha['telefone'];
           
//            $auth = base64_encode($linha['id_aluno'].':13');
//            $mensagem = "Parabéns! Você ganhou um curso grátis. Acesse " . $this->url."promo/" . $auth;
            $auth = md5($linha['email']).':13';
            $mensagem = "Parabéns! Você ganhou um curso grátis. Acesse o codigo promocional " . $this->url."p/" . $auth;
            $validaCel = substr($linha['telefone'], 1, 1);
            // Verificando se é celular
            $celReal = array("9", "8", "7", "6", "5");
            if (in_array($validaCel, $celReal)) {

//                $enviar = $this->enviar($numero, $mensagem);
                $enviar = $this->enviar_1_3($numero, $mensagem, $linha['email']);
                
                $array['Enviado'][$c] = $linha['nome'] . " - (" . $linha['ddd'] . ") " . $linha['telefone'] . " - " . $enviar->mensagem;
            }
            $c++;
        }

        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }
    
    public function notifica_106() {
        exit(0);
//        die('notifica_106');
        set_time_limit(0);
        $dias = 106;
        $consulta = $this->notificacoes_model->notifica_facil($dias);

        $dados_arr = array_unique($consulta, SORT_REGULAR);
        
        $c = 0;

        foreach ($dados_arr as $linha) {

            $numero = $linha['ddd'] . $linha['telefone'];
           
//            $auth = base64_encode($linha['id_aluno'].':13');
//            $mensagem = "Parabéns! Você ganhou um curso grátis. Acesse " . $this->url."promo/" . $auth;
            $auth = md5($linha['email']).':13';
            $mensagem = "Parabéns! Você ganhou um curso grátis. Acesse o codigo promocional " . $this->url."p/" . $auth;
            $validaCel = substr($linha['telefone'], 1, 1);
            // Verificando se é celular
            $celReal = array("9", "8", "7", "6", "5");
            if (in_array($validaCel, $celReal)) {

//                $enviar = $this->enviar($numero, $mensagem);
                $enviar = $this->enviar_1_3($numero, $mensagem, $linha['email']);
                
                $array['Enviado'][$c] = $linha['nome'] . " - (" . $linha['ddd'] . ") " . $linha['telefone'] . " - " . $enviar->mensagem;
            }
            $c++;
        }

        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }
    
    // IDM - INGLÊS
    public function notifica_113_idm() {
        exit(0);
        die('notifica_113_idm');
        set_time_limit(0);
        $dias = 113;
        $consulta = $this->notificacoes_model->notifica_facil($dias);

        $dados_arr = array_unique($consulta, SORT_REGULAR);
        
        $c = 0;

        foreach ($dados_arr as $linha) {

            $numero = $linha['ddd'] . $linha['telefone'];
           
            $mensagem = "Parabéns! Curso de Ingles disponível para voce. Acesse agora www.idmcursos.com.br/ingles ";
            
            $validaCel = substr($linha['telefone'], 1, 1);
            // Verificando se é celular
            $celReal = array("9", "8", "7", "6", "5");
            if (in_array($validaCel, $celReal)) {

//                $enviar = $this->enviar($numero, $mensagem);
                $enviar = $this->enviar_1_3($numero, $mensagem, $linha['email']);
                
                $array['Enviado'][$c] = $linha['nome'] . " - (" . $linha['ddd'] . ") " . $linha['telefone'] . " - " . $enviar->mensagem;
            }
            $c++;
            
        }

        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }
    
    public function notifica_127_idm() {
        exit(0);
        die('notifica_127_idm');
        set_time_limit(0);
        $dias = 127;
        $consulta = $this->notificacoes_model->notifica_facil($dias);

        $dados_arr = array_unique($consulta, SORT_REGULAR);
        
        $c = 0;

        foreach ($dados_arr as $linha) {

            $numero = $linha['ddd'] . $linha['telefone'];
           
            $mensagem = "Parabéns! Curso de Ingles disponível para voce. Acesse agora www.idmcursos.com.br/ingles ";
            
            $validaCel = substr($linha['telefone'], 1, 1);
            // Verificando se é celular
            $celReal = array("9", "8", "7", "6", "5");
            if (in_array($validaCel, $celReal)) {

//                $enviar = $this->enviar($numero, $mensagem);
                $enviar = $this->enviar_1_3($numero, $mensagem, $linha['email']);
                
                $array['Enviado'][$c] = $linha['nome'] . " - (" . $linha['ddd'] . ") " . $linha['telefone'] . " - " . $enviar->mensagem;
            }
            $c++;
            
        }

        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }
    // IDM - ESPANHOL
    public function notifica_120_idm() {
        exit(0);
        die('notifica_120_idm');
        set_time_limit(0);
        $dias = 120;
        $consulta = $this->notificacoes_model->notifica_facil($dias);

        $dados_arr = array_unique($consulta, SORT_REGULAR);
        
        $c = 0;

        foreach ($dados_arr as $linha) {

            $numero = $linha['ddd'] . $linha['telefone'];
           
            $mensagem = "Parabéns! Seu curso de espanhol ja comecou acesse. Acesse agora www.idmcursos.com.br/espanhol ";
            
            $validaCel = substr($linha['telefone'], 1, 1);
            // Verificando se é celular
            $celReal = array("9", "8", "7", "6", "5");
            if (in_array($validaCel, $celReal)) {

//                $enviar = $this->enviar($numero, $mensagem);
                $enviar = $this->enviar_1_3($numero, $mensagem, $linha['email']);
                
                $array['Enviado'][$c] = $linha['nome'] . " - (" . $linha['ddd'] . ") " . $linha['telefone'] . " - " . $enviar->mensagem;
            }
            $c++;
        }

        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }
    
    public function notifica_134_idm() {
        exit(0);
        die('notifica_134_idm');
        set_time_limit(0);
        $dias = 134;
        $consulta = $this->notificacoes_model->notifica_facil($dias);

        $dados_arr = array_unique($consulta, SORT_REGULAR);
        
        $c = 0;

        foreach ($dados_arr as $linha) {

            $numero = $linha['ddd'] . $linha['telefone'];
           
            $mensagem = "Parabéns! Seu curso de espanhol ja comecou acesse. Acesse agora www.idmcursos.com.br/espanhol ";
            
            $validaCel = substr($linha['telefone'], 1, 1);
            // Verificando se é celular
            $celReal = array("9", "8", "7", "6", "5");
            if (in_array($validaCel, $celReal)) {

//                $enviar = $this->enviar($numero, $mensagem);
                $enviar = $this->enviar_1_3($numero, $mensagem, $linha['email']);
                
                $array['Enviado'][$c] = $linha['nome'] . " - (" . $linha['ddd'] . ") " . $linha['telefone'] . " - " . $enviar->mensagem;
            }
            $c++;
        }

        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }
    
     /*     * ************** Enviar SMS ***************** */
    public function enviar_1_5($celular, $mensagem, $email) {
        
        $identificador = md5($email);
        
        $ch = curl_init();

        $post = array(
            'token' => SMS_TOKEN,
            'chave' => SMS_CHAVE,
            'instituicao' => 'AMAZONIA NOTIFICA',
            'celular' => $celular,
            'email' => $email,
            'mensagem' => $mensagem,
            'identificador' => $identificador, //Recomendado
            'market' => '', //Opcional
        );

        curl_setopt($ch, CURLOPT_URL, SMS_URL);
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $post);
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);

        $requisicao = curl_exec($ch);
        return json_decode($requisicao);
        curl_close($ch);
    }
    
    /*     * ************** Enviar SMS ***************** */
    public function enviar_1_3($celular, $mensagem, $email) {
        
        $identificador = md5($email);
        
        $ch = curl_init();

        $post = array(
            'token' => SMS_TOKEN,
            'chave' => SMS_CHAVE,
            'instituicao' => 'AMAZONIA NOTIFICA',
            'celular' => $celular,
            'email' => $email,
            'mensagem' => $mensagem,
            'identificador' => $identificador, //Recomendado
            'market' => 'true', //Opcional
        );

        curl_setopt($ch, CURLOPT_URL, SMS_URL);
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $post);
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);

        $requisicao = curl_exec($ch);
        return json_decode($requisicao);
        curl_close($ch);
    }
    
    
    
    

}
